Bug Hunting Session
Bug 112100 - Calc does not select name of selected shape in Navigator (started as: does not show shape name in Name Box)
Summary: Calc does not select name of selected shape in Navigator (started as: does n...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2017-08-30 07:10 UTC by Tamas Bunth
Modified: 2017-12-29 15:19 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Excel spreadsheet with a named shape (8.56 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-08-30 07:10 UTC, Tamas Bunth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamas Bunth 2017-08-30 07:10:54 UTC
Created attachment 135864 [details]
Excel spreadsheet with a named shape

Calc does not show name of shape in Name Box when selecting it.

Reproduce:
- Open attached Excel file: namedShape.xlsx
- Click on the black Oval, which was named previously to "Duckling".

Expected result:
- The string "Duckling" should appear in the Name Box (text box in the upper left corner)

Actual result:
- The string in the Name Box is unchanged.

Motivation is that Microsoft Excel shows the name of the shape in the Name Box, so most users will look for it there.

Related patch:
https://gerrit.libreoffice.org/#/c/41679/
Comment 1 Regina Henschel 2017-08-30 10:59:50 UTC
I'm not sure, that we should follow the Excel UI. The name field has a clear purpose in Calc: It shows the position of the cell cursor and the user can select cell ranges by entering ranges addresses or by selecting name of a named range. In cell edit mode it shows function names.

The status bar has already the information about size and position of the shape. In Draw/Impress the name of the shape is shown in the status bar. Why not in Calc too?

The side bar has a pane for shape properties. That would be another suitable place for the name (and description).

Adding needsUXEval keyword.
Comment 2 Jacques Guilleron 2017-08-30 14:19:30 UTC
Hi,

Appears in Calc as "duckling" in Sidebar > Navigator > Drawing objects
and in Format > Name, when the form is selected.
Comment 3 Heiko Tietze 2017-08-31 12:18:27 UTC
At least it's a valid ticket. CC'ing ux-advice as Regina requested input in comment 1.
Comment 4 Eike Rathke 2017-08-31 16:26:45 UTC
In addition to what Regina already lined out, the Name Box can also be used to define a name for the currently selected cell (range). If a shape is selected, the cell cursor and the selected cell range stays active even if a shape's name would be displayed in the Name Box. The user might even get the idea to change the name there, but instead that would create a name for the current cell selection (at least with the simple approach of the change currently in gerrit).
Comment 5 Commit Notification 2017-10-20 08:31:38 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c80246e5ff8aeb3e05384d86766a56aa878c7be

tdf#112100 Select shape name in Navigator

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Cor Nouws 2017-10-20 10:22:27 UTC
Very nice, Tamas!
Please allow me to update the tickets summary
Comment 7 Xisco Faulí 2017-11-20 15:54:50 UTC
A polite ping to Tamas Bunth: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 8 Tamas Bunth 2017-11-20 16:23:30 UTC
(In reply to Xisco Faulí from comment #7)
> A polite ping to Tamas Bunth: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

Sure.
Comment 9 Cor Nouws 2017-12-29 15:19:15 UTC
verified in Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded